/*
 * Copyright
 *   2009 axYus - www.axyus.com
 *   2009 c.Marhcand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.dgfip.xemelios.importers;

import java.io.File;
import java.util.Hashtable;

/**
 *
 * @author christophe.marchand
 */
public abstract class AbstractImportPatcherImpl implements ImportPatcher {
    private Hashtable<String,Object> parameters = new Hashtable<String,Object>();
    private ImportServiceProvider isp;

    public void setParameter(String paramName, Object value) {
        parameters.put(paramName,value);
    }

    public void setParameter(String paramName, File file) {
        parameters.put(paramName,file);
    }

    public void setParameter(String paramName, String value) {
        parameters.put(paramName,value);
    }

    public Object getParameter(String paramName) {
        return parameters.get(paramName);
    }

    public void setImportServiceProvider(ImportServiceProvider isp) {
        this.isp=isp;
    }

    public ImportServiceProvider getImportServiceProvider() { return isp; };

}
